# qp_run

Command used to run a calculation.

If the `USR1` signal is sent to qp_run, the application will call qp_stop to request a clean termination. In a SLURM script, you can ask SLURM to send the `USR1` signal 120 seconds before end of the time limit with

    #SBATCH --signal=B:USR1@120

There is a directory named `work` in the EZFIO. This directory will contain work files which can be large, so it is recommended to work in the scratch directory. To archive the EZFIO directory, it is recommended to remove the `work` directory.

## Usage

    qp_run [-h] [-p <string>] [-s] [--] PROGRAM EZFIO_DIR

`PROGRAM` is the name of the Quantum Package program to be run, and `EZFIO_DIR` is the name of the EZFIO directory containing the data.

`-h````,` `--help```

  Displays the list of available Quantum Package programs.

`-p``<string>``,` `--prefix``=<string>`

  Prefix before running the program. This option is used to run programs like like gdb or valgrind.

`-s````,` `--slave```

  This option needs to be set to run a slave job for `PROGRAM`, to accelerate another running instance of the Quantum Package.

## Example

    qp_run fci h2o.ezfio &
    srun qp_run --slave fci h2o.ezfio
    wait